<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__sysanalog_8c" kind="file" language="C++">
    <compoundname>cy_sysanalog.c</compoundname>
    <includes local="yes" refid="cy__sysanalog_8h">cy_sysanalog.h</includes>
      <sectiondef kind="var">
      <memberdef id="group__group__sysanalog__globals_1ga85e9e1cd8c1e6fe581043cbab3083017" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref></type>
        <definition>const cy_stc_sysanalog_config_t Cy_SysAnalog_Fast_Local</definition>
        <argsstring />
        <name>Cy_SysAnalog_Fast_Local</name>
        <initializer>=
{
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga242311d3120c1005ba7d5be64516597da85c067feb78f5673b6c2f3c982fd56a6">CY_SYSANALOG_STARTUP_FAST</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga745102c8162e8d67ae113184c8ced99ba3b4fc99af78704905e78fcae12dd4a06">CY_SYSANALOG_IZTAT_SOURCE_LOCAL</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga953d5952135c077f6de135e058222459a2487a839aa1c8244f65a684b319daa6b">CY_SYSANALOG_VREF_SOURCE_LOCAL_1_2V</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12a00f19ce656942fbb30c5cff00c891dc6">CY_SYSANALOG_DEEPSLEEP_DISABLE</ref>,
}</initializer>
        <briefdescription>
<para>Configure the AREF to use the local Vref and local IZTAT. </para>        </briefdescription>
        <detaileddescription>
<para>Can be used with <ref kindref="member" refid="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64">Cy_SysAnalog_Init</ref>. Other configuration options are set to:<itemizedlist>
<listitem><para>.startup = CY_PASS_AREF_MODE_FAST</para></listitem><listitem><para>.deepSleep = CY_PASS_AREF_DEEPSLEEP_DISABLE </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="33" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" line="33" />
      </memberdef>
      <memberdef id="group__group__sysanalog__globals_1gaf0a91cc831b1e5b70b8c4327a571d4b4" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref></type>
        <definition>const cy_stc_sysanalog_config_t Cy_SysAnalog_Fast_SRSS</definition>
        <argsstring />
        <name>Cy_SysAnalog_Fast_SRSS</name>
        <initializer>=
{
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga242311d3120c1005ba7d5be64516597da85c067feb78f5673b6c2f3c982fd56a6">CY_SYSANALOG_STARTUP_FAST</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga745102c8162e8d67ae113184c8ced99bacff161c19cc0d808bf564ec258ae7c32">CY_SYSANALOG_IZTAT_SOURCE_SRSS</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga953d5952135c077f6de135e058222459abd6eb3ce2b45c1a5085cc96bbb7c942e">CY_SYSANALOG_VREF_SOURCE_SRSS</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12a00f19ce656942fbb30c5cff00c891dc6">CY_SYSANALOG_DEEPSLEEP_DISABLE</ref>,
}</initializer>
        <briefdescription>
<para>Configure the AREF to use the SRSS Vref and SRSS IZTAT. </para>        </briefdescription>
        <detaileddescription>
<para>Can be used with <ref kindref="member" refid="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64">Cy_SysAnalog_Init</ref>. Other configuration options are set to:<itemizedlist>
<listitem><para>.startup = CY_PASS_AREF_MODE_FAST</para></listitem><listitem><para>.deepSleep = CY_PASS_AREF_DEEPSLEEP_DISABLE </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="42" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" line="42" />
      </memberdef>
      <memberdef id="group__group__sysanalog__globals_1ga2bed42fba0641096ff28cdb776eb1548" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref></type>
        <definition>const cy_stc_sysanalog_config_t Cy_SysAnalog_Fast_External</definition>
        <argsstring />
        <name>Cy_SysAnalog_Fast_External</name>
        <initializer>=
{
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga242311d3120c1005ba7d5be64516597da85c067feb78f5673b6c2f3c982fd56a6">CY_SYSANALOG_STARTUP_FAST</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga745102c8162e8d67ae113184c8ced99ba3b4fc99af78704905e78fcae12dd4a06">CY_SYSANALOG_IZTAT_SOURCE_LOCAL</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga953d5952135c077f6de135e058222459aabd9773d041530b9770e5951069c627e">CY_SYSANALOG_VREF_SOURCE_EXTERNAL</ref>,
     <ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12a00f19ce656942fbb30c5cff00c891dc6">CY_SYSANALOG_DEEPSLEEP_DISABLE</ref>,
}</initializer>
        <briefdescription>
<para>Configure the AREF to use the external Vref and local IZTAT. </para>        </briefdescription>
        <detaileddescription>
<para>Can be used with <ref kindref="member" refid="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64">Cy_SysAnalog_Init</ref>. Other configuration options are set to:<itemizedlist>
<listitem><para>.startup = CY_PASS_AREF_MODE_FAST</para></listitem><listitem><para>.deepSleep = CY_PASS_AREF_DEEPSLEEP_DISABLE </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" line="51" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga31d179a49097fe5a8b2e8863adba59f4">cy_en_sysanalog_status_t</ref></type>
        <definition>cy_en_sysanalog_status_t Cy_SysAnalog_Init</definition>
        <argsstring>(const cy_stc_sysanalog_config_t *config)</argsstring>
        <name>Cy_SysAnalog_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initialize the AREF block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to structure containing configuration data. See <ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__sysanalog__enums_1gga31d179a49097fe5a8b2e8863adba59f4a3ce48673d93f32086ce3b8525c1d5581">CY_SYSANALOG_SUCCESS</ref> : initialization complete</para></listitem><listitem><para><ref kindref="member" refid="group__group__sysanalog__enums_1gga31d179a49097fe5a8b2e8863adba59f4a6cee019b293e163d881c959f4809b4a0">CY_SYSANALOG_BAD_PARAM</ref> : input pointers are null, initialization incomplete</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para /></simplesect>
<programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />AREF<sp />is<sp />a<sp />system<sp />wide<sp />resource;<sp />it<sp />is<sp />used<sp />by<sp />multiple<sp />blocks<sp />(SAR,<sp />CTDAC,<sp />CTB,<sp />and<sp />CSDv2).</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />If<sp />one<sp />of<sp />these<sp />blocks<sp />require<sp />one<sp />of<sp />the<sp />AREF<sp />reference<sp />outputs,<sp />the<sp />AREF<sp />must<sp />be<sp />enabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />The<sp />AREF<sp />block<sp />is<sp />not<sp />meant<sp />to<sp />be<sp />used<sp />stand-alone.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />The<sp />Cy_SysAnalog_Fast_Local<sp />configuration<sp />is<sp />provided<sp />by<sp />the<sp />driver</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />to<sp />cover<sp />a<sp />majority<sp />of<sp />use<sp />cases.<sp />It<sp />is<sp />the<sp />recommended<sp />configuration</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />for<sp />analog<sp />performance;<sp />it<sp />configures<sp />the<sp />block<sp />for</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />fast<sp />startup<sp />and<sp />sources<sp />all<sp />references<sp />with<sp />its<sp />local<sp />generators.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ga31d179a49097fe5a8b2e8863adba59f4">cy_en_sysanalog_status_t</ref><sp />status;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64">Cy_SysAnalog_Init</ref>(&amp;<ref kindref="member" refid="group__group__sysanalog__globals_1ga85e9e1cd8c1e6fe581043cbab3083017">Cy_SysAnalog_Fast_Local</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Turn<sp />on<sp />the<sp />hardware<sp />block.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga153249c7b4cea72ee334ae877a211169">Cy_SysAnalog_Enable</ref>();</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />After<sp />the<sp />AREF<sp />is<sp />enabled,<sp />enable<sp />the<sp />consumer<sp />blocks<sp />(SAR,<sp />CTDAC,<sp />CTB,<sp />and<sp />CSDv2).<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="107" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" line="77" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1gaa4f3c03d4ecb3f121c7d5b155e855bfa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysAnalog_LpOscEnable</definition>
        <argsstring>(cy_en_sysanalog_lposc_deep_sleep_mode_t dsmode)</argsstring>
        <name>Cy_SysAnalog_LpOscEnable</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga8d5d1c61a078ccf107fce8277b39a11b">cy_en_sysanalog_lposc_deep_sleep_mode_t</ref></type>
          <declname>dsmode</declname>
        </param>
        <briefdescription>
<para>Enables Low Power Oscillator and configures its mode in Deep Sleep. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dsmode</parametername>
</parameternamelist>
<parameterdescription>
<para>Low Power Oscillator mode in Deep Sleep. See <ref kindref="member" refid="group__group__sysanalog__enums_1ga8d5d1c61a078ccf107fce8277b39a11b">cy_en_sysanalog_lposc_deep_sleep_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />Low<sp />Power<sp />Oscillator<sp />and<sp />configure<sp />it<sp />to<sp />be<sp />always<sp />enabled<sp />in<sp />Deep<sp />Sleep.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gaa4f3c03d4ecb3f121c7d5b155e855bfa">Cy_SysAnalog_LpOscEnable</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga8d5d1c61a078ccf107fce8277b39a11ba413a38e9e067e8721817dd4bb5b68e56">CY_SYSANALOG_LPOSC_DEEPSLEEP_ALWAYS_ON</ref>);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="132" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" line="125" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga8f983cb279b6edfa6b4fb364b7bd6753" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysAnalog_LpOscDisable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysAnalog_LpOscDisable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the Low Power Oscillator. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />Low<sp />Power<sp />Oscillator<sp />is<sp />no<sp />longer<sp />needed.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga8f983cb279b6edfa6b4fb364b7bd6753">Cy_SysAnalog_LpOscDisable</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="146" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" line="146" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysanalog__functions_1ga22710413640667a25b48c5814e470810" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysAnalog_SetDeepSleepClock</definition>
        <argsstring>(cy_en_sysanalog_deep_sleep_clock_sel_t source, cy_en_sysanalog_deep_sleep_clock_div_t divider)</argsstring>
        <name>Cy_SysAnalog_SetDeepSleepClock</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1ga159a193656bc75a45b4603982958f88c">cy_en_sysanalog_deep_sleep_clock_sel_t</ref></type>
          <declname>source</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysanalog__enums_1gafaf730c28e19936cce24c04d525e4c31">cy_en_sysanalog_deep_sleep_clock_div_t</ref></type>
          <declname>divider</declname>
        </param>
        <briefdescription>
<para>Configures the Deep Sleep Clock (DPSLP_CLK) source and the divider value. </para>        </briefdescription>
        <detaileddescription>
<para>Deep Sleep Clock can be used to run the SAR ADC, Timer and the charge pump of the CTB opamps.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>source</parametername>
</parameternamelist>
<parameterdescription>
<para>Deep Sleep Clock source. See <ref kindref="member" refid="group__group__sysanalog__enums_1ga159a193656bc75a45b4603982958f88c">cy_en_sysanalog_deep_sleep_clock_sel_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>divider</parametername>
</parameternamelist>
<parameterdescription>
<para>Deep Sleep Clock divider value. See <ref kindref="member" refid="group__group__sysanalog__enums_1gafaf730c28e19936cce24c04d525e4c31">cy_en_sysanalog_deep_sleep_clock_div_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />Deep<sp />Sleep<sp />Clock<sp />as<sp />1/2<sp />of<sp />LPOSC<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga22710413640667a25b48c5814e470810">Cy_SysAnalog_SetDeepSleepClock</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1gga159a193656bc75a45b4603982958f88cabe37b4ec92d6472691ddbad525570dfb">CY_SYSANALOG_DSCLK_LPOSC</ref>,<sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ggafaf730c28e19936cce24c04d525e4c31ad0de561f44119ddaa9ac0b56bbd7d168">CY_SYSANALOG_DSCLK_DIV_BY_2</ref>);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="184" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" bodystart="176" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" line="176" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.10.1</para></simplesect>
Provides the public functions for the API for the SAR driver.</para><para><simplesect kind="copyright"><para>Copyright 2017-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="24"><highlight class="preprocessor">#include<sp />"cy_sysanalog.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CY_IP_MXS40PASS</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="comment">/*<sp />Configure<sp />the<sp />AREF<sp />to<sp />use<sp />the<sp />local<sp />Vref<sp />and<sp />local<sp />IZTAT.<sp />Can<sp />be<sp />used<sp />with<sp />\ref<sp />Cy_SysAnalog_Init.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref><sp /><ref kindref="member" refid="group__group__sysanalog__globals_1ga85e9e1cd8c1e6fe581043cbab3083017">Cy_SysAnalog_Fast_Local</ref><sp />=</highlight></codeline>
<codeline lineno="34"><highlight class="normal">{</highlight></codeline>
<codeline lineno="35"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.startup<sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga242311d3120c1005ba7d5be64516597da85c067feb78f5673b6c2f3c982fd56a6">CY_SYSANALOG_STARTUP_FAST</ref>,</highlight></codeline>
<codeline lineno="36"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.iztat<sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga745102c8162e8d67ae113184c8ced99ba3b4fc99af78704905e78fcae12dd4a06">CY_SYSANALOG_IZTAT_SOURCE_LOCAL</ref>,</highlight></codeline>
<codeline lineno="37"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vref<sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga953d5952135c077f6de135e058222459a2487a839aa1c8244f65a684b319daa6b">CY_SYSANALOG_VREF_SOURCE_LOCAL_1_2V</ref>,</highlight></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.deepSleep<sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12a00f19ce656942fbb30c5cff00c891dc6">CY_SYSANALOG_DEEPSLEEP_DISABLE</ref>,</highlight></codeline>
<codeline lineno="39"><highlight class="normal">};</highlight></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="comment">/*<sp />Configure<sp />the<sp />AREF<sp />to<sp />use<sp />the<sp />SRSS<sp />Vref<sp />and<sp />SRSS<sp />IZTAT.<sp />Can<sp />be<sp />used<sp />with<sp />\ref<sp />Cy_SysAnalog_Init.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref><sp /><ref kindref="member" refid="group__group__sysanalog__globals_1gaf0a91cc831b1e5b70b8c4327a571d4b4">Cy_SysAnalog_Fast_SRSS</ref><sp />=</highlight></codeline>
<codeline lineno="43"><highlight class="normal">{</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.startup<sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga242311d3120c1005ba7d5be64516597da85c067feb78f5673b6c2f3c982fd56a6">CY_SYSANALOG_STARTUP_FAST</ref>,</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.iztat<sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga745102c8162e8d67ae113184c8ced99bacff161c19cc0d808bf564ec258ae7c32">CY_SYSANALOG_IZTAT_SOURCE_SRSS</ref>,</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vref<sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga953d5952135c077f6de135e058222459abd6eb3ce2b45c1a5085cc96bbb7c942e">CY_SYSANALOG_VREF_SOURCE_SRSS</ref>,</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.deepSleep<sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12a00f19ce656942fbb30c5cff00c891dc6">CY_SYSANALOG_DEEPSLEEP_DISABLE</ref>,</highlight></codeline>
<codeline lineno="48"><highlight class="normal">};</highlight></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="comment">/*<sp />Configure<sp />the<sp />AREF<sp />to<sp />use<sp />the<sp />external<sp />Vref<sp />and<sp />local<sp />IZTAT.<sp />Can<sp />be<sp />used<sp />with<sp />\ref<sp />Cy_SysAnalog_Init.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref><sp /><ref kindref="member" refid="group__group__sysanalog__globals_1ga2bed42fba0641096ff28cdb776eb1548">Cy_SysAnalog_Fast_External</ref><sp />=</highlight></codeline>
<codeline lineno="52"><highlight class="normal">{</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.startup<sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga242311d3120c1005ba7d5be64516597da85c067feb78f5673b6c2f3c982fd56a6">CY_SYSANALOG_STARTUP_FAST</ref>,</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.iztat<sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga745102c8162e8d67ae113184c8ced99ba3b4fc99af78704905e78fcae12dd4a06">CY_SYSANALOG_IZTAT_SOURCE_LOCAL</ref>,</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vref<sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga953d5952135c077f6de135e058222459aabd9773d041530b9770e5951069c627e">CY_SYSANALOG_VREF_SOURCE_EXTERNAL</ref>,</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.deepSleep<sp /><sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga0aadb061d882d9a964dff3729322cf12a00f19ce656942fbb30c5cff00c891dc6">CY_SYSANALOG_DEEPSLEEP_DISABLE</ref>,</highlight></codeline>
<codeline lineno="57"><highlight class="normal">};</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="60"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysAnalog_Init</highlight></codeline>
<codeline lineno="61"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><ref kindref="member" refid="group__group__sysanalog__enums_1ga31d179a49097fe5a8b2e8863adba59f4">cy_en_sysanalog_status_t</ref><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gacef4e5ae550518abd0004e46e5ec4d64">Cy_SysAnalog_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__sysanalog__config__t">cy_stc_sysanalog_config_t</ref><sp />*config)</highlight></codeline>
<codeline lineno="78"><highlight class="normal">{</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532">CY_ASSERT_L1</ref>(NULL<sp />!=<sp />config);</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1ga31d179a49097fe5a8b2e8863adba59f4">cy_en_sysanalog_status_t</ref><sp />result;</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ctrlReg<sp />=<sp />CY_SYSANALOG_DEINIT;</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(NULL<sp />==<sp />config)</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga31d179a49097fe5a8b2e8863adba59f4a6cee019b293e163d881c959f4809b4a0">CY_SYSANALOG_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_SYSANALOG_STARTUP(config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a48f49165b47ee954a4ddf6c7ae3c457a">startup</ref>));</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_SYSANALOG_DEEPSLEEP(config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a6acb3f932ccad3cf52ad98f0dc86eec2">deepSleep</ref>));</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_SYSANALOG_VREF(config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a050862f447c2f2b4f4f89fc260249242">vref</ref>));</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_SYSANALOG_IZTAT(config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a236237de19d937fe25084d160cc53df1">iztat</ref>));</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ctrlReg<sp />=<sp />(uint32_t)<sp />config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a48f49165b47ee954a4ddf6c7ae3c457a">startup</ref><sp />\</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />CY_SYSANALOG_DEFAULT_BIAS_SCALE<sp />\</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />(uint32_t)<sp />config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a236237de19d937fe25084d160cc53df1">iztat</ref><sp />\</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />(uint32_t)<sp />config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a050862f447c2f2b4f4f89fc260249242">vref</ref><sp />\</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />(uint32_t)<sp />config-&gt;<ref kindref="member" refid="structcy__stc__sysanalog__config__t_1a6acb3f932ccad3cf52ad98f0dc86eec2">deepSleep</ref>;</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PASS_AREF_AREF_CTRL<sp />=<sp />ctrlReg;</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gga31d179a49097fe5a8b2e8863adba59f4a3ce48673d93f32086ce3b8525c1d5581">CY_SYSANALOG_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />result;</highlight></codeline>
<codeline lineno="107"><highlight class="normal">}</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="111"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysAnalog_LpOscEnable</highlight></codeline>
<codeline lineno="112"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="125"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1gaa4f3c03d4ecb3f121c7d5b155e855bfa">Cy_SysAnalog_LpOscEnable</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1ga8d5d1c61a078ccf107fce8277b39a11b">cy_en_sysanalog_lposc_deep_sleep_mode_t</ref><sp />dsmode)</highlight></codeline>
<codeline lineno="126"><highlight class="normal">{</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(!CY_PASS_V1)</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PASS_LPOSC_CTRL<sp />=<sp />PASS_LPOSC_V2_CTRL_ENABLED_Msk;</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PASS_LPOSC_CONFIG<sp />=<sp />_VAL2FLD(PASS_LPOSC_V2_CONFIG_DEEPSLEEP_MODE,<sp />(uint32_t)dsmode);</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="132"><highlight class="normal">}</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="136"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysAnalog_LpOscDisable</highlight></codeline>
<codeline lineno="137"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="146"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga8f983cb279b6edfa6b4fb364b7bd6753">Cy_SysAnalog_LpOscDisable</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="147"><highlight class="normal">{</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(!CY_PASS_V1)</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PASS_LPOSC_CTRL<sp />&amp;=<sp />~PASS_LPOSC_V2_CTRL_ENABLED_Msk;</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PASS_LPOSC_CONFIG<sp />&amp;=<sp />~PASS_LPOSC_V2_CONFIG_DEEPSLEEP_MODE_Msk;</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="153"><highlight class="normal">}</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="157"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysAnalog_SetDeepSleepClock</highlight></codeline>
<codeline lineno="158"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="176"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysanalog__functions_1ga22710413640667a25b48c5814e470810">Cy_SysAnalog_SetDeepSleepClock</ref>(<ref kindref="member" refid="group__group__sysanalog__enums_1ga159a193656bc75a45b4603982958f88c">cy_en_sysanalog_deep_sleep_clock_sel_t</ref><sp />source,</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysanalog__enums_1gafaf730c28e19936cce24c04d525e4c31">cy_en_sysanalog_deep_sleep_clock_div_t</ref><sp />divider)</highlight></codeline>
<codeline lineno="178"><highlight class="normal">{</highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(!CY_PASS_V1)</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PASS_DPSLP_CLOCK_SEL<sp />=<sp />(_VAL2FLD(PASS_V2_DPSLP_CLOCK_SEL_DPSLP_CLOCK_SEL,<sp />(uint32_t)source)<sp />|</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PASS_V2_DPSLP_CLOCK_SEL_DPSLP_CLOCK_DIV,<sp />(uint32_t)divider));</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="184"><highlight class="normal">}</highlight></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal">}</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXS40PASS<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysanalog.c" />
  </compounddef>
</doxygen>